%def_disable static
%define sover 8

Name: libmtp%sover
Version: 1.0.3
Release: alt2
Packager: Dmitriy Khanzhin <jinn@altlinux.ru>

Summary: a library for accessing Media Transfer Protocol devices

License: LGPLv2.1+
Group: System/Legacy libraries
Url: http://libmtp.sourceforge.net/

Source: libmtp-%version.tar
Patch1: libmtp-0.2.6-fix-udev-rules.patch
Patch2: libmtp-0.2.6-alt-set-udev-permissions.patch

# Automatically added by buildreq on Sat Apr 18 2009
BuildRequires: doxygen libusb-compat-devel

Provides: %name = %version-%release
Obsoletes: %{name}7
Obsoletes: %name < %version-%release

%description
Libmtp is a LGPL library implementation of the Media Transfer Protocol (MTP),
a superset of the Picture Transfer Protocol (PTP).

%prep
%setup -n libmtp-%version
%patch1 -p1
%patch2 -p1

%build
%configure %{subst_enable static}
%make_build

%install
%make DESTDIR=%buildroot install
/bin/bzip2 -9 ChangeLog

rm -rf %buildroot%_docdir/%name-%version/html

%pre
# create group
/usr/sbin/groupadd -fr camera || :

%files
%_libdir/*.so.*
%doc AUTHORS ChangeLog* README TODO

%changelog
* Sat Jan 21 2012 Dmitriy Khanzhin <jinn@altlinux.ru> 1.0.3-alt2
- compat package

* Tue Oct 12 2010 Dmitriy Khanzhin <jinn@altlinux.ru> 1.0.3-alt1
- 1.0.3

* Mon Mar 22 2010 Dmitriy Khanzhin <jinn@altlinux.ru> 1.0.2-alt1
- 1.0.2
- disabled unneeded patch
- disabled packaging html docs

* Sat Sep 12 2009 Dmitriy Khanzhin <jinn@altlinux.ru> 1.0.1-alt1
- 1.0.1

* Sun Aug 16 2009 Dmitriy Khanzhin <jinn@altlinux.ru> 1.0.0-alt1
- 1.0.0

* Sat Apr 18 2009 Dmitriy Khanzhin <jinn@altlinux.ru> 0.3.7-alt1
- 0.3.7
- updated build requires

* Wed Dec 24 2008 Dmitriy Khanzhin <jinn@altlinux.ru> 0.3.4-alt2
- binary package renamed to %%name%%soversion

* Thu Dec 18 2008 Dmitriy Khanzhin <jinn@altlinux.ru> 0.3.4-alt1
- 0.3.4
- removed obsolete patch3

* Sat Dec 13 2008 Dmitriy Khanzhin <jinn@altlinux.ru> 0.2.6.1-alt3
- removed obsolete post{,un}_ldconfig calls

* Sat May 24 2008 Dmitriy Khanzhin <jinn@altlinux.ru> 0.2.6.1-alt2
- moved HAL support into %name, %name-hal has removed

* Thu May 22 2008 Dmitriy Khanzhin <jinn@altlinux.ru> 0.2.6.1-alt1
- 0.2.6.1
- corrected wrong location of hal device information file
- disabled build devel-static package by default
- supported hal >= 0.5.11

* Mon Mar 10 2008 Dmitriy Khanzhin <jinn@altlinux.ru> 0.2.6-alt1
- updated to 0.2.6
- created %name-hal binary package

* Wed Jun 06 2007 Dmitriy Khanzhin <jinn@altlinux.ru> 0.1.5-alt0.2
- usage examples moved into %name-examples package
- udev rules adapted for udev >= 098,
  for access to device user must be added into group "camera"

* Wed Apr 04 2007 Dmitriy Khanzhin <jinn@altlinux.ru> 0.1.5-alt0.1
- initial build
